Package ru.bitel.bgbilling.modules.bill.client.bean

# Class BillPositionsEditor

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
ru.bitel.bgbilling.client.common.BGPanel
ru.bitel.bgbilling.modules.bill.client.bean.BillPositionsEditor

All Implemented Interfaces:
  `ActionListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`

public class BillPositionsEditor extends ru.bitel.bgbilling.client.common.BGPanel

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `BillPositionsEditor.ExtParameter`

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.client.common.BGPanel

  `attrs, fl, id, init, initable, module, moduleDoc, parentDialog, rb_name, setup`

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillPositionsEditor(ru.bitel.bgbilling.client.common.BGPanel parent, ActionListener actionListener)`
  `BillPositionsEditor(ru.bitel.bgbilling.client.common.BGPanel parent, ActionListener actionListener, boolean showNumberPanel, String mode, ru.bitel.common.client.table.BGTableModel<Element> tableModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `editItem()`
  `long`
  `getCorrection()`
  `String`
  `getDate()`
  `String`
  `getIdentifierGovermentContract()`
  `long`
  `getNumber()`
  `long`
  `getNumberInMonth()`
  `long`
  `getNumberInYear()`
  `String`
  `getPaymentDocumentData()`
  `JPanel`
  `getPositionsPanel()`
  `String`
  `getShipmentDocument()`
  `void`
  `hideExtParameterPanel()`
  `boolean`
  `isNumbersChanged()`
  `void`
  `reloadPos(List<BGBillTablePos> posList, Element docElement)`
  `void`
  `reloadPos(BillTableRow currentRow, Element bill)`
  `String`
  `serializePositions()`
  `void`
  `setPositionList(Node node)`
  `void`
  `showPositions(BillTableRow bill)`

  ### Methods inherited from class ru.bitel.bgbilling.client.common.BGPanel

  `actionPerformed, addInitable, copyItem, createPopupMenu, deleteItem, getAttrs, getBytes, getContext, getContractId, getDataSource, getDocument, getId, getInputStream, getKernelContext, getModule, getModuleDoc, getModuleId, getRbName, getSetup, getUserEmail, init, initTransferContractPopup, initTransferContractPopup, initWrapContractPopup, initWrapContractPopup, newItem, openHelp, saveUserEmail, setAttr, setContext, setContractId, setData, setDocument, setId, setModuleId, setOpenContractsToList, setSetup, transferToContract, tryCall, trySetData, trySetDocument, wrapToContract`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BillPositionsEditor

    public BillPositionsEditor(ru.bitel.bgbilling.client.common.BGPanel parent, ActionListener actionListener)

  - ### BillPositionsEditor

    public BillPositionsEditor(ru.bitel.bgbilling.client.common.BGPanel parent, ActionListener actionListener, boolean showNumberPanel, String mode, ru.bitel.common.client.table.BGTableModel<Element> tableModel)

- ## Method Details

  - ### isNumbersChanged

    public boolean isNumbersChanged()

  - ### getNumber

    public long getNumber()

  - ### getNumberInYear

    public long getNumberInYear()

  - ### getNumberInMonth

    public long getNumberInMonth()

  - ### getDate

    public String getDate()

  - ### getCorrection

    public long getCorrection()

  - ### getPaymentDocumentData

    public String getPaymentDocumentData()

  - ### getIdentifierGovermentContract

    public String getIdentifierGovermentContract()

  - ### getShipmentDocument

    public String getShipmentDocument()

  - ### reloadPos

    public void reloadPos(List<BGBillTablePos> posList, Element docElement)

  - ### reloadPos

    public void reloadPos(BillTableRow currentRow, Element bill)

  - ### showPositions

    public void showPositions(BillTableRow bill)

  - ### serializePositions

    public String serializePositions() throws Exception
    Throws:
      `Exception`

  - ### hideExtParameterPanel

    public void hideExtParameterPanel()

  - ### setPositionList

    public void setPositionList(Node node)

  - ### editItem

    public void editItem()
    Overrides:
      `editItem` in class `ru.bitel.bgbilling.client.common.BGPanel`

  - ### getPositionsPanel

    public JPanel getPositionsPanel()